﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;  //Añadimos el Scenemanagement para poder cargar escenas. 

public class SceneTransition : MonoBehaviour
{
    private Animator transitionAnim; //Animator con la animación de transicion. 
    // Start is called before the first frame update
    void Start()
    {
        transitionAnim = GetComponent<Animator>(); //Recuperamos el objeto Animator que pertenece al Canvas. 
    }
    public void Animate()
    {
        StartCoroutine(Transition2()); //Llamamos a la Coroutine Tansition. 
    }
    public void LoadScene(string scene)
    {
        StartCoroutine(Transition(scene)); //Llamamos a la Coroutine Tansition. 
    }
    IEnumerator Transition(string scene)
    {
        transitionAnim.SetTrigger("end"); //Iniciamos la animación final. 
        yield return new WaitForSeconds(1); //Esperamos un segundo. 
        if (scene != null)
            SceneManager.LoadScene(scene);
        //SceneManager.LoadScene(scene); //Cargamos la escena a la que vamos. 
    }
    IEnumerator Transition2()
    {
        transitionAnim.SetTrigger("newwave"); //Iniciamos la animación final. 
        yield return new WaitForSeconds(1); //Esperamos un segundo. 

        //SceneManager.LoadScene(scene); //Cargamos la escena a la que vamos. 
    }
}
